﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6200: (1 year) VER IEEE /9500+5Hd,DMM
DATE:                  2017-04-11 12:13:57
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       165
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the BW of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         2GH                          1Vpp           LS    S  L
  1.005  M9500                       CH2
  1.006  9500         2GH                          1Vpp           LS    S  L
  1.007  M9500                       CH3
  1.008  9500         2GH                          1Vpp           LS    S  L
  1.009  M9500                       CH4
  1.010  9500         2GH                          1Vpp           LS    S  L
  1.011  M9500                       CH5
  1.012  9500         350MH                        1Vpp           LS    S  L
  1.013  IEEE         [@DMM]
  1.014  ENDIF

# Verify MET/CAL version compatibility.
  1.015  MATH         @ReqMetCalVersion = "7.20"
  1.016  CALL         Sub MET/CAL Version Check

  1.017  IF           NOT(@MetCalVersionOK)
  1.018  DISP         This procedure requires MET/CAL 7.20 or later.
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub Display Copyright

# Initialize UUT.
  1.022  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.023  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.025  IF           NOT(FIND(@ModelNum, "WR6200", 1))
  1.026  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.027  DISP         The UUT is an [V @ModelNum], not a WR6200!
  1.027  DISP
  1.027  DISP         Select "Advance", choose the appropriate
  1.027  DISP         procedure for the UUT, then restart.
  1.028  END
  1.029  ENDIF

# Identify UUT's Characteristics:
  1.030  MATH         @NumChan = 4 ; @BW_MHz = 2000

  1.031  CALL         Sub High Voltage Safety Warning
  1.032  CALL         Sub Select Failed Test Mode
  1.033  CALL         Sub WR6000 Preliminary Instructions

  1.034  DISP         Prior to proceeding, ensure the Active Head SMA
  1.034  DISP         connections are torqued to 7-10 lb-in (80-110 N-cm).

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to review the list of additional
  1.036  OPBR         equipment and/or accessories required?

  1.037  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.038  DISP         The following additional equipment and/or
  1.038  DISP         accessories are required:
  1.038  DISP
  1.038  DISP         - Cable, double-banana(m)-(m), Pomona Model 2BC-24
  1.038  DISP         - Adapter, double-banana jacks to BNC(m), Pomona
  1.038  DISP         [32] Model 1296 or equivalent
  1.039  ENDIF

  1.040  HEAD         HOOK-UP INFORMATION
  1.041  DISP         Make the following connections:
  1.041  DISP
  1.041  DISP         [32]       9500          to          UUT
  1.041  DISP         [32] CH 1 Active Head -------> Channel 1 input
  1.041  DISP         [32] CH 2 Active Head -------> Channel 2 input
  1.041  DISP         [32] CH 3 Active Head -------> Channel 3 input
  1.041  DISP         [32] CH 4 Active Head -------> Channel 4 input
  1.041  DISP         [32] CH 5 Active Head -------> EXTernal input

  1.042  DISP         The next routine operator intervention occurs
  1.042  DISP         in approximately 27 minutes...

  1.043  CALL         Sub WR6000 (1 yr) Input Z Tests IEEE /9500+5Hd
  1.044  JMPL         INPUT_NOISE

  1.045  LABEL        LEAKAGE
  1.046  CALL         Sub WR6000 (1 yr) Leakage Tests IEEE /DMM
  1.047  END

  1.048  LABEL        INPUT_NOISE
  1.049  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.050  CALL         Sub WR6000 (1 yr) DC Gain  Tests IEEE /9500+5Hd
  1.051  CALL         Sub WR6000 (1 yr) Offset Tests IEEE /9500+5Hd
  1.052  CALL         Sub WR6200 (1 yr) BW Tests IEEE /9500+5Hd
  1.053  CALL         Sub WR6000 (1 yr) Trigger Level Tests IEEE /9500+5Hd

  1.054  RSLT         =
  1.055  HEAD         {TIMEBASE TEST}
  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub WR6000 Select Channel
  1.059  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /9500
  1.060  JMPL         LEAKAGE
