﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) Input Z Tests IEEE /9500+5Hd
INSTRUMENT:            Sub WR6000 (1 yr) DC Gain  Tests IEEE /9500+5Hd
INSTRUMENT:            Sub WR6000 (1 yr) Offset Tests IEEE /9500+5Hd
INSTRUMENT:            Sub WR6000 (1 yr) Trigger Level Tests IEEE /9500+5Hd
DATE:                  2007-10-04 08:14:14
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       195
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6061, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub WR6000 Select Channel
#        Sub WR6000 (1 yr) Input Z VER IEEE /9500
#        Sub WR6000 (1 yr) DC Gain VER IEEE /9500
#        Sub WR6000 (1 yr) Offset VER IEEE /9500
#        Sub WR6000 (1 yr) Trig Level VER IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WR6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WR6000
#      series oscilloscope has.
#
#    @Ch1 - @Ch4
#      Trace On/Off information as determined in sub, "Sub WR6000
#      Select Channel".
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INPUT_IMPEDANCE              PSUBI("Input Z")
  1.002  JMPL         DC_GAIN                      PSUBI("DC Gain")
  1.003  JMPL         OFFSET                       PSUBI("Offset")
  1.004  JMPL         TRIGGER_LEVEL                PSUBI("Trigger Level")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# =====  Sub WR6000 (1 yr) Input Z Tests IEEE /9500+5Hd  ====================

  2.001  LABEL        INPUT_IMPEDANCE
  2.002  RSLT         =
  2.003  HEAD         {INPUT IMPEDANCE TEST (DC coupled)}
  2.004  MATH         @Chan = 1
  2.005  M9500                       CH1
  2.006  CALL         Sub WR6000 Select Channel
  2.007  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500

  2.008  MATH         @Chan = 2
  2.009  M9500                       CH2
  2.010  CALL         Sub WR6000 Select Channel
  2.011  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500

  2.012  IF           @NumChan == 4
  2.013  MATH         @Chan = 3
  2.014  M9500                       CH3
  2.015  CALL         Sub WR6000 Select Channel
  2.016  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500

  2.017  MATH         @Chan = 4
  2.018  M9500                       CH4
  2.019  CALL         Sub WR6000 Select Channel
  2.020  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  2.021  ENDIF

  2.022  MATH         @Chan = 5
  2.023  M9500                       CH5
  2.024  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500

  2.025  END

  2.026  EVAL   Increment step number

# =====  Sub WR6000 (1 yr) DC Gain  Tests IEEE /9500+5Hd  ===================

  3.001  LABEL        DC_GAIN
  3.002  RSLT         =
  3.003  HEAD         {DC ACCURACY TEST}
  3.004  MATH         @Chan = 1
  3.005  M9500                       CH1
  3.006  CALL         Sub WR6000 Select Channel
  3.007  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500

  3.008  MATH         @Chan = 2
  3.009  M9500                       CH2
  3.010  CALL         Sub WR6000 Select Channel
  3.011  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500

  3.012  IF           @NumChan == 4
  3.013  MATH         @Chan = 3
  3.014  M9500                       CH3
  3.015  CALL         Sub WR6000 Select Channel
  3.016  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500

  3.017  MATH         @Chan = 4
  3.018  M9500                       CH4
  3.019  CALL         Sub WR6000 Select Channel
  3.020  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500
  3.021  ENDIF

  3.022  END

  3.023  EVAL   Increment step number

# =====  Sub WR6000 (1 yr) Offset Tests IEEE /9500+5Hd  =====================

  4.001  LABEL        OFFSET
  4.002  RSLT         =
  4.003  HEAD         {OFFSET TEST}
  4.004  MATH         @Chan = 1
  4.005  M9500                       CH1
  4.006  CALL         Sub WR6000 Select Channel
  4.007  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500

  4.008  MATH         @Chan = 2
  4.009  M9500                       CH2
  4.010  CALL         Sub WR6000 Select Channel
  4.011  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500

  4.012  IF           @NumChan == 4
  4.013  MATH         @Chan = 3
  4.014  M9500                       CH3
  4.015  CALL         Sub WR6000 Select Channel
  4.016  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500

  4.017  MATH         @Chan = 4
  4.018  M9500                       CH4
  4.019  CALL         Sub WR6000 Select Channel
  4.020  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500
  4.021  ENDIF

  4.022  END

# =====  Sub WR6000 (1 yr) Trigger Level Tests IEEE /9500+5Hd  =============

  4.023  LABEL        TRIGGER_LEVEL
  4.024  RSLT         =
  4.025  HEAD         {TRIGGER TEST (DC coupled)}
  4.026  MATH         @Chan = 1
  4.027  M9500                       CH1
  4.028  CALL         Sub WR6000 Select Channel
  4.029  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500

  4.030  MATH         @Chan = 2
  4.031  M9500                       CH2
  4.032  CALL         Sub WR6000 Select Channel
  4.033  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500

  4.034  IF           @NumChan == 4
  4.035  MATH         @Chan = 3
  4.036  M9500                       CH3
  4.037  CALL         Sub WR6000 Select Channel
  4.038  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500

  4.039  MATH         @Chan = 4
  4.040  M9500                       CH4
  4.041  CALL         Sub WR6000 Select Channel
  4.042  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500
  4.043  ENDIF

  4.044  END
